package com.example.consumer;

import avro.Product;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.cloud.stream.annotation.StreamListener;
import org.springframework.cloud.stream.messaging.Processor;
import org.springframework.stereotype.Service;

@Service
public class Consumer {

    private static final Logger LOGGER = LoggerFactory.getLogger(Consumer.class);

    @StreamListener(Processor.INPUT)
    public void consumeProductDetails(Product productDetails) {
        LOGGER.info("Consuming the  product details: {}", productDetails);
        String a = null;
        a.substring(0, 3);// to interrupt the consumer, then the data will be routed to dlq topic
    }

}